# complex File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file complex.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- struct std::tr1::__promote_2< _Tp, std::complex< _Up > >
- struct std::tr1::__promote_2< std::complex< _Tp >, _Up >
    Additional overloads [8.1.9]. More...
- struct std::tr1::__promote_2< std::complex< _Tp >, std::complex< _Up > >

## Defines

- #define _TR1_COMPLEX

## Functions

- template<typename _Tp> std::complex< _Tp > std::tr1::__complex_acos (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::tr1::__complex_acosh (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::tr1::__complex_asin (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::tr1::__complex_asinh (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::tr1::__complex_atan (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::tr1::__complex_atanh (const std::complex< _Tp > &__z)
- template<typename _Tp> std::complex< _Tp > std::tr1::acos (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::tr1::acosh (const std::complex< _Tp > &)
- template<typename _Tp> __promote< _Tp >::__type std::tr1::arg (_Tp __x)
- template<typename _Tp> std::complex< _Tp > std::tr1::asin (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::tr1::asinh (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::tr1::atan (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< _Tp > std::tr1::atanh (const std::complex< _Tp > &)
- template<typename _Tp> std::complex< typename __promote<
  _Tp >::__type > std::tr1::conj (_Tp __x)
- template<typename _Tp> std::complex< _Tp > std::tr1::fabs (const std::complex< _Tp > &__z)
- template<typename _Tp> __promote< _Tp >::__type std::tr1::norm (_Tp __x)
- template<typename _Tp, typename _Up> std::complex< typename __promote_2<
  _Tp, _Up >::__type > std::tr1::polar (const _Tp &__rho, const _Up &__theta)
- template<typename _Tp, typename _Up> std::complex< typename __promote_2<
  _Tp, _Up >::__type > std::tr1::pow (const std::complex< _Tp > &__x, const std::complex< _Up > &__y)
- template<typename _Tp, typename _Up> std::complex< typename __promote_2<
  _Tp, _Up >::__type > std::tr1::pow (const _Tp &__x, const std::complex< _Up > &__y)
- template<typename _Tp, typename _Up> std::complex< typename __promote_2<
  _Tp, _Up >::__type > std::tr1::pow (const std::complex< _Tp > &__x, const _Up &__y)
- template<typename _Tp> __promote< _Tp >::__type std::tr1::real (_Tp __x)

## Variables

- __promote< _Tp >::__type std::tr1::imag (_Tp)